Bug 442244 - Review Request: fotox - Program for improving image files made with a digital camera
Review Request: fotox - Program for improving image files made with a digita...
Status: CLOSED DUPLICATE of bug 456517
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 447829 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-13 06:05 EDT by Adel Gadllah
Modified: 2008-07-24 07:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 07:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adel Gadllah 2008-04-13 06:05:53 EDT
Spec URL: http://tgmweb.at/gadllah/fotox.spec
SRPM URL: http://tgmweb.at/gadllah/fotox-39-1.fc8.src.rpm
Description:
Easy to use image editor with features like panoramas,
high dynamic range (HDR) composites, change brightness
distribution, intensify colors, reduce haze, resize,
rotate (any angle), crop, red-eye removal, sharpen, reduce noise,
thumbnail image browser and navigator.
Comment 1 Mamoru TASAKA 2008-04-17 08:46:51 EDT
Well, fotox is under rapid development and at the time I am
writing this comment the latest version is 40. So:

Would you ask the upstream developer to change installation scripts
to autotool based ones ?
- Current upstream-created "build" script does not accept compiler
  option
- desktop file is created under an unexpected directory
- Current installation process is rather manual
Also
- No license text is included in tarball (v40)
Comment 2 Adel Gadllah 2008-04-21 08:11:25 EDT
(In reply to comment #1)
Sorry for the delay.

> Well, fotox is under rapid development and at the time I am
> writing this comment the latest version is 40. So:

Yeah now 41 is out.
 
> Would you ask the upstream developer to change installation scripts
> to autotool based ones ?
> - Current upstream-created "build" script does not accept compiler
>   option

Will ask upstream, if the don't do it I can patch it to use the flags.

> - desktop file is created under an unexpected directory
? %{_datadir}/applications 

> - Current installation process is rather manual
> Also
> - No license text is included in tarball (v40)

"MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc."

http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

So should be fine.

I will build and upload an updated package in the next days.
Comment 3 Mamoru TASAKA 2008-04-21 09:50:50 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > - desktop file is created under an unexpected directory
> ? %{_datadir}/applications 

What I mean here that if you use "./build" script and execute
"./build install", then this script tries to create desktop file
under $HOME/Desktop. 

> > - Current installation process is rather manual
> > Also
> > - No license text is included in tarball (v40)
> 
> "MUST: If (and only if) the source package includes the text of the license(s)
> in its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc."
>
> http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
>
> So should be fine.
I know it. However I want you to contact with upstream.

Comment 4 Mamoru TASAKA 2008-05-21 22:55:58 EDT
*** Bug 447829 has been marked as a duplicate of this bug. ***
Comment 5 Mamoru TASAKA 2008-06-28 14:11:19 EDT
Any updates here?
Comment 6 Adel Gadllah 2008-06-29 08:47:33 EDT
Well I sent a patch to upstream to add an autotools based buildsys because
upstream was saying it was "too complicated". Upstream has yet to release a
version with this patch. 
Will ping him next week.
Comment 7 Adel Gadllah 2008-07-24 07:49:26 EDT
fotoxx the successor of fotox is under review now, so I will close this one..

*** This bug has been marked as a duplicate of 456517 ***

Note You need to log in before you can comment on or make changes to this bug.